org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Enum ReservationReason

- java.lang.Object
- - java.lang.Enum<ReservationReason>
  - - org.apache.ignite.internal.processors.cache.persistence.checkpoint.ReservationReason

All Implemented Interfaces:
  Serializable, Comparable<ReservationReason>

    public enum ReservationReason
    extends Enum<ReservationReason>

Represent a reason by that a WAL history was bounded.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHECKPOINT_NOT_APPLICABLE` Reason means a checkpoint in history reserved can not be applied for cache.
`NO_MORE_HISTORY` Reason means no more history reserved for the cache.
`WAL_RESERVATION_ERROR` The message puts down to log when an exception happened during reading a WAL segment or a segment cannot be reserved.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static ReservationReason` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReservationReason[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WAL_RESERVATION_ERROR

    public static final ReservationReason WAL_RESERVATION_ERROR

The message puts down to log when an exception happened during reading a WAL segment or a segment cannot be reserved.

#### NO_MORE_HISTORY

    public static final ReservationReason NO_MORE_HISTORY

Reason means no more history reserved for the cache.

#### CHECKPOINT_NOT_APPLICABLE

    public static final ReservationReason CHECKPOINT_NOT_APPLICABLE

Reason means a checkpoint in history reserved can not be applied for cache.

### Method Detail

#### values

    public static ReservationReason[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ReservationReason c : ReservationReason.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ReservationReason valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ReservationReason>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023